/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.impl;

import net.northking.cctp.testbug.db.dao.BugNoDao;
import net.northking.cctp.testbug.db.service.BugNoService;
import net.northking.cctp.testbug.db.entity.BugNo;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.saas.db.TenantEntityService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;


/**
 * 缺陷编号生成表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-03 15:00:33  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "BugNoServiceImpl")
public class BugNoServiceImpl extends TenantEntityService<BugNo> implements BugNoService
{
private static final Logger logger = LoggerFactory.getLogger(BugNoServiceImpl.class);

  private final BugNoDao bugNoDao;

  public BugNoServiceImpl(BugNoDao bugNoDao) {this.bugNoDao = bugNoDao;}

  public BasicDao<BugNo> getDao() {return bugNoDao;}

  public BugNo createEntity() { return new BugNo();}

  @Override
  public int writeBugNo(BugNo bn) {
    this.initTenantId(bn);
    return bugNoDao.writeBugNo(bn);
  }

  @Override
  public void updateBugNo() {
    bugNoDao.updateBugNo();
  }


// ----      The End by Generator     ----//




}

